Accounts
Execute an account proposal
[Admin Only] Executes an account proposal after the required approvals have been collected. Only admin API members can make requests to this endpoint.
POST
cURL
Documentation Index
Fetch the complete documentation index at: https://docs.mls.onchainden.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Path Parameters
Body
application/json
Which resolution to execute
Available options:
approve, reject Response
Account proposal executed
- Accounts Create
- Accounts Update
Example:
{
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [1, 137]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}cURL